Bug 2082935 - F36FailsToInstall: golang-deepin-api-devel
Summary: F36FailsToInstall: golang-deepin-api-devel
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-api
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-05-08 16:13 UTC by Miro Hrončok
Modified: 2022-08-23 01:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2022-05-08 16:13:12 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (deepin-api) Fails To Install in Fedora 36:

can't install golang-deepin-api-devel:
  - nothing provides golang(pkg.deepin.io/gir/gio-2.0) needed by golang-deepin-api-devel-5.4.11-2.fc36.noarch
  - nothing provides golang(pkg.deepin.io/gir/glib-2.0) needed by golang-deepin-api-devel-5.4.11-2.fc36.noarch
  - nothing provides golang(pkg.deepin.io/gir/gudev-1.0) needed by golang-deepin-api-devel-5.4.11-2.fc36.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --disablerepo='*' --enablerepo=local install golang-deepin-api-devel


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-08-22 03:37:15 UTC
FEDORA-2022-17e2c3da2e has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-17e2c3da2e

Comment 2 Fedora Update System 2022-08-23 01:16:03 UTC
FEDORA-2022-17e2c3da2e has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-17e2c3da2e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-17e2c3da2e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.